Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd
Interface Rule

All Known Implementing Classes:
  AbstractJspRule, AbstractOptimizationRule, AbstractRule, CommonAbstractRule, JUnitTestsShouldContainAsserts, SymbolTableTestRule, UnnecessaryConversionTemporary

public interface Rule

Field Summary
`static int` | `LOWEST_PRIORITY`
`static java.lang.String[]` | `PRIORITIES`

Method Summary
`void` | `addProperties(java.util.Properties properties)`
`void` | `addProperty(java.lang.String name, java.lang.String property)`
`void` | `apply(java.util.List astCompilationUnits, RuleContext ctx)`
`boolean` | `getBooleanProperty(java.lang.String name)`
`java.lang.String` | `getDescription()`
`double` | `getDoubleProperty(java.lang.String name)`
`java.lang.String` | `getExample()`
`java.lang.String` | `getExternalInfoUrl()`
`int` | `getIntProperty(java.lang.String name)`
`java.lang.String` | `getMessage()`
`java.lang.String` | `getName()`
`int` | `getPriority()`
`java.lang.String` | `getPriorityName()`
`java.util.Properties` | `getProperties()`
`java.lang.String` | `getRuleSetName()`
`java.lang.String` | `getStringProperty(java.lang.String name)`
`boolean` | `hasProperty(java.lang.String name)`
`boolean` | `include()`
`void` | `setDescription(java.lang.String description)`
`void` | `setExample(java.lang.String example)`
`void` | `setExternalInfoUrl(java.lang.String url)`
`void` | `setInclude(boolean include)`
`void` | `setMessage(java.lang.String message)`
`void` | `setName(java.lang.String name)`
`void` | `setPriority(int priority)`
`void` | `setRuleSetName(java.lang.String name)`
`void` | `setUsesDFA()`
`boolean` | `usesDFA()`

Field Detail

### LOWEST_PRIORITY

    public static final int LOWEST_PRIORITY

See Also:
  Constant Field Values

### PRIORITIES

    public static final java.lang.String[] PRIORITIES

Method Detail

### getName

    public java.lang.String getName()

### getMessage

    public java.lang.String getMessage()

### getDescription

    public java.lang.String getDescription()

### getExample

    public java.lang.String getExample()

### getExternalInfoUrl

    public java.lang.String getExternalInfoUrl()

### setName

    public void setName(java.lang.String name)

### getRuleSetName

    public java.lang.String getRuleSetName()

### setRuleSetName

    public void setRuleSetName(java.lang.String name)

### setMessage

    public void setMessage(java.lang.String message)

### setDescription

    public void setDescription(java.lang.String description)

### setExample

    public void setExample(java.lang.String example)

### setExternalInfoUrl

    public void setExternalInfoUrl(java.lang.String url)

### apply

    public void apply(java.util.List astCompilationUnits,
                      RuleContext ctx)

### hasProperty

    public boolean hasProperty(java.lang.String name)

### addProperty

    public void addProperty(java.lang.String name,
                            java.lang.String property)

### addProperties

    public void addProperties(java.util.Properties properties)

### getIntProperty

    public int getIntProperty(java.lang.String name)

### getBooleanProperty

    public boolean getBooleanProperty(java.lang.String name)

### getStringProperty

    public java.lang.String getStringProperty(java.lang.String name)

### getDoubleProperty

    public double getDoubleProperty(java.lang.String name)

### getProperties

    public java.util.Properties getProperties()

### include

    public boolean include()

### setInclude

    public void setInclude(boolean include)

### getPriority

    public int getPriority()

### getPriorityName

    public java.lang.String getPriorityName()

### setPriority

    public void setPriority(int priority)

### setUsesDFA

    public void setUsesDFA()

### usesDFA

    public boolean usesDFA()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.